#
# spec file for package vagrant
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2012 Laurent Bigonville <bigon@debian.org>, License GPL-2.0+
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define mod_name vagrant
%define mod_full_name %{mod_name}-%{version}
#
# Use
#
%global vim_data_dir %{_datadir}/vim/site/plugin/

Name:           vagrant
Version:        2.2.0
Release:        lp151.1.33
Summary:        Tool for building and distributing virtualized development environments
License:        MIT
Group:          Development/Languages/Ruby
Url:            https://github.com/hashicorp/vagrant
Source0:        https://github.com/hashicorp/vagrant/archive/v%{version}.tar.gz#/%{mod_name}-%{version}.tar.gz
Source11:       vagrant.1
Source98:       README.SUSE
Source99:       %{name}-rpmlintrc
Provides:       rubygem-vagrant = %{version}
Obsoletes:      rubygem-vagrant < %{version}
Recommends:     vagrant-libvirt
#
Patch2:         0002-bin-vagrant-silence-warning-about-installer.patch
Patch3:         0003-Use-a-private-temporary-dir.patch
Patch4:         0004-linux-cap-halt-don-t-wait-for-shutdown-h-now-to-fini.patch
Patch9:         0009-plugins-don-t-abuse-require_relative.patch
#
#
# try building with ruby2.4
Patch23:        0023-vbox-fix-package.patch
Patch24:        0024-do-not-depend-on-wdm.patch
Patch25:        0025-do-not-abuse-relative-paths-in-docker-plugin.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
# force only one ruby version
%define rb_build_versions %rb_default_ruby
%define rb_build_abi %rb_default_ruby_abi
#
BuildRequires:  %{ruby >= 2.0.0}
#
#
#
BuildRequires:  %{rubygem bundler}
#  s.add_dependency "childprocess", "~> 0.6.0"
BuildRequires:  %{rubygem childprocess:0.6 }
BuildRequires:  %{rubygem crack }
#  s.add_dependency "erubis", "~> 2.7.0"
BuildRequires:  %{rubygem erubis:2.7 }
#  s.add_development_dependency "fake_ftp", "~> 0.1"
BuildRequires:  %{rubygem fake_ftp:0.1 }
#  s.add_dependency "hashicorp-checkpoint", "~> 0.1.5"
BuildRequires:  %{rubygem hashicorp-checkpoint:0.1.5 }
#  s.add_dependency "i18n", ">= 0.6.0", "<= 0.8.0"
BuildRequires:  %{rubygem i18n < 0.8 }
BuildRequires:  %{rubygem i18n >= 0.6 }
#  s.add_dependency "listen", "~> 3.1.5"
BuildRequires:  %{rubygem listen:3.1.5 }
#  s.add_dependency "log4r", "~> 1.1.9", "< 1.1.11"
BuildRequires:  %{rubygem log4r < 1.1.11 }
BuildRequires:  %{rubygem log4r >= 1.1.9 }
#  s.add_dependency "net-scp", "~> 1.2.0"
BuildRequires:  %{rubygem net-scp:1.2 }
#  s.add_dependency "net-sftp", "~> 2.1"
BuildRequires:  %{rubygem net-sftp:2.1 }
#  s.add_dependency "net-ssh", "~> 4.2.0"
# patched to 5.0.x by 0027-now-use-rubygem-net-ssh-5.0.x.patch
BuildRequires:  %{rubygem net-ssh:5.0}
# Prevent have choice for rubygem(ruby:2.2.0:nokogiri)
BuildRequires:  %{rubygem nokogiri >= 1.7}
# Prevent have choice for rubygem(ruby:2.1.0:mime-types) >= 1.16
BuildRequires:  %{rubygem mime-types >= 2}
# Prevent have choice for rubygem(ruby:2.4.0:addressable) >= 2.3.6
BuildRequires:  %{rubygem addressable >= 2.4 }
# Prevent have choice for rubygem(ruby:2.4.0:builder) >= 2.1.2
BuildRequires:  %{rubygem builder >= 3.1 }
BuildRequires:  ruby-macros >= 5
#  s.add_development_dependency "rake", "~> 12.0.0"
BuildRequires:  %{rubygem rake:12.0 }
#  s.add_dependency "rb-kqueue", "~> 0.2.0"
BuildRequires:  %{rubygem rb-kqueue:0.2 }
#  s.add_dependency "rest-client", ">= 1.6.0", "< 3.0"
BuildRequires:  %{rubygem rest-client < 3.0}
BuildRequires:  %{rubygem rest-client >= 1.6}
#  s.add_development_dependency "rspec", "~> 3.5.0"
BuildRequires:  %{rubygem rspec:3.5 }
#  s.add_development_dependency "rspec-its", "~> 1.2.0"
BuildRequires:  %{rubygem rspec-its:1.2 }
BuildRequires:  %{rubygem rspec:3.5 }
BuildRequires:  %{rubygem ruby_dep <= 1.5 }
# Intentionally removed, wdm only works on Windows
# BuildRequires:  %{rubygem wdm }
#  s.add_development_dependency "webmock", "~> 2.3.1"
BuildRequires:  %{rubygem webmock:2.3 }
#  s.add_dependency "winrm", "~> 2.1"
BuildRequires:  %{rubygem winrm:2.1 }
#  s.add_dependency "winrm-elevated", "~> 1.1"
BuildRequires:  %{rubygem winrm-elevated:1.1 }
#  s.add_dependency "winrm-fs", "~> 1.0"
BuildRequires:  %{rubygem winrm-fs:1 }
#
#
#
Requires:       %{rubygem childprocess}
# Prevent have choice for rubygem(ruby:2.2.0:erubis)
Requires:       %{rubygem erubis >= 2.7}
Requires:       %{rubygem i18n}
Requires:       %{rubygem listen}
Requires:       %{rubygem log4r}
# Prevent have choice for rubygem(ruby:2.2.0:net-scp)
Requires:       %{rubygem net-scp >= 1.2}
Requires:       %{rubygem net-sftp}
Requires:       %{rubygem net-ssh}
# Prevent have choice for rubygem(ruby:2.2.0:nokogiri)
Requires:       %{rubygem nokogiri >= 1.7}
#Requires:       %{rubygem rb-kqueue0}
Requires:       %{rubygem rest-client}
# We don't require rubygem mime-types since it's pulled in transitively
#
Requires:       bsdtar
Requires:       curl
Requires:       openssh
#
%description
Vagrant is a tool for building and distributing virtualized development
environments.

%package vim
Summary:        Vagrantfile syntax files for the vim editor
Group:          Development/Languages/Ruby
Supplements:    packageand(vagrant:vim)
BuildRequires:  vim
Requires:       vagrant = %{version}
Requires:       vim
BuildArch:      noarch

%description   vim
Optional dependency offering vim syntax files for Vagrantfile

%package emacs
Summary:        Vagrantfile syntax files for the emacs editor
Group:          Development/Languages/Ruby
Supplements:    packageand(vagrant:emacs_program)
BuildRequires:  emacs-nox
Requires:       vagrant = %{version}
Requires:       emacs_program
BuildArch:      noarch

%description   emacs
Optional dependency offering emacs syntax files for Vagrantfile

%package bash-completion
Summary:        Vagrant bash autocompletion
Group:          Development/Languages/Ruby
Supplements:    packageand(vagrant:bash)
BuildRequires:  bash
BuildRequires:  bash-completion
Requires:       vagrant = %{version}
Requires:       bash
Requires:       bash-completion
BuildArch:      noarch

%description  bash-completion
Optional dependency offering bash completion for vagrant

%prep
%setup -q -n %{mod_full_name}
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch9 -p1
#
#
#
%patch23 -p1
%patch24 -p1
%patch25 -p1

cp %{SOURCE98} .

%build
mv %{mod_name}.gemspec %{mod_full_name}.gemspec
%gem_build
mv %{mod_full_name}.gem %{_sourcedir}

%install
# Tumbleweed OR Leap 42.2+
%if %suse_version >= 1320 || 0%{?sle_version} >= 120200
%gem_install -f --no-symlink-binaries
%else
%gem_install -f
%endif

mkdir -p %{buildroot}/%{_mandir}/man1
install -m 644 %{SOURCE11} %{buildroot}%{_mandir}/man1/vagrant.1

install -D -d -m 0755                           \
  %{buildroot}%{_sysconfdir}/bash_completion.d/ \
  %{buildroot}%{_datadir}/emacs/site-lisp/

install -d -m 0777 %{buildroot}%{vim_data_dir}/

install -d -m 0755 %{buildroot}%{_datadir}vagrant-plugins/ \
	%{buildroot}%{_datadir}vagrant-plugins/plugins.d

mv %{buildroot}%{gem_base}/gems/%{mod_full_name}/contrib/bash/completion.sh  %{buildroot}%{_sysconfdir}/bash_completion.d/%{mod_name}.sh
mv %{buildroot}%{gem_base}/gems/%{mod_full_name}/contrib/vim/vagrantfile.vim %{buildroot}%{vim_data_dir}/%{mod_name}.vim
mv %{buildroot}%{gem_base}/gems/%{mod_full_name}/contrib/emacs/vagrant.el    %{buildroot}%{_datadir}/emacs/site-lisp/%{mod_name}.el

# Tumbleweed OR Leap 42.2+
%if %suse_version >= 1320 || 0%{?sle_version} >= 120000
mv -v %{buildroot}%{_bindir}/vagrant.%{rb_default_ruby_suffix} %{buildroot}%{_bindir}/vagrant
%endif

mkdir -p %{buildroot}%{_datadir}/%{name}
mv %{buildroot}%{gem_base}/gems/%{mod_full_name}/keys %{buildroot}%{_datadir}/%{name}/keys
mv %{buildroot}%{gem_base}/gems/%{mod_full_name}/plugins %{buildroot}%{_datadir}/%{name}/plugins
mv %{buildroot}%{gem_base}/gems/%{mod_full_name}/templates %{buildroot}%{_datadir}/%{name}/templates
chmod -x %{buildroot}%{_datadir}/%{name}/templates/locales/en.yml
install -m 644 version.txt %{buildroot}%{_datadir}/%{name}

mkdir -p %{buildroot}%{_datadir}/%{name}-plugins/plugins.d
echo "{}" > %{buildroot}%{_datadir}/%{name}-plugins/plugins.json


rm -f %{buildroot}%{gem_base}/gems/%{mod_full_name}/.travis.yml
rm -f %{buildroot}%{gem_base}/gems/%{mod_full_name}/.gitignore
rm -f %{buildroot}%{gem_base}/gems/%{mod_full_name}/test/vagrant-spec/boxes/.keep
rm -f %{buildroot}%{gem_base}/gems/%{mod_full_name}/bin/vagrant.orig
rm -f %{buildroot}%{_bindir}/vagrant.orig.%{rb_default_ruby_suffix}
rm -f %{buildroot}%{gem_base}/gems/%{mod_full_name}/lib/vagrant/util.rb.orig

# change shebang in /usr/lib64/ruby/gems/*/gems/vagrant-2.1.1/.runner.sh
sed -i '1 s/^.*$/#!\/bin\/bash/' %{buildroot}%{gem_base}/gems/%{mod_full_name}/.runner.sh

# change shebang in /etc/bash_completion.d/vagrant.sh
sed -i '1d' %{buildroot}%{_sysconfdir}/bash_completion.d/%{mod_name}.sh
# move file to %{_datadir}/bash-completion/completions/ to avoid warnings
install -d 755 %{buildroot}%{_datadir}/bash-completion/completions/
mv -v %{buildroot}%{_sysconfdir}/bash_completion.d/%{mod_name}.sh %{buildroot}%{_datadir}/bash-completion/completions/

%post
# link directories to avoid the following error:
# /usr/lib64/ruby/2.5.0/pathname.rb:444:in `open': No such file or directory @ dir_initialize - /usr/lib64/ruby/gems/2.5.0/gems/vagrant-2.1.2/plugins (Errno::ENOENT)
ln -s %{_datadir}/%{name}/keys %{gem_base}/gems/%{mod_full_name}/keys
ln -s %{_datadir}/%{name}/plugins %{gem_base}/gems/%{mod_full_name}/plugins
ln -s %{_datadir}/%{name}/templates %{gem_base}/gems/%{mod_full_name}/templates

%postun
rm -f %{gem_base}/gems/%{mod_full_name}/keys
rm -f %{gem_base}/gems/%{mod_full_name}/plugins
rm -f %{gem_base}/gems/%{mod_full_name}/templates

%files
%defattr(-,root,root,-)
%doc CHANGELOG.md LICENSE README.SUSE
%{_bindir}/vagrant
%{gem_base}/cache/%{mod_full_name}.gem
%{gem_base}/doc/%{mod_full_name}/
%{gem_base}/gems/%{mod_full_name}/
%{gem_base}/specifications/%{mod_full_name}.gemspec
%{_datadir}/%{name}
%dir %{_datadir}/%{name}-plugins
%dir %{_datadir}/%{name}-plugins/plugins.d
%{_datadir}/%{name}-plugins/plugins.json
%{_mandir}/man1/vagrant.*

%files vim
%defattr(-,root,root,-)
%{vim_data_dir}/%{mod_name}.vim

%files emacs
%defattr(-,root,root,-)
%{_datadir}/emacs/site-lisp/%{mod_name}.el

%files bash-completion
%defattr(-,root,root,-)
%{_datadir}/bash-completion/completions/%{mod_name}.sh

%changelog
* Fri Nov 16 2018 Johannes Kastl <kastl@b1-systems.de>
- update to 2.2.0
  FEATURES:
  - command/cloud: Introduce `vagrant cloud` subcommand to Vagrant [GH-10148]
  - command/upload: Add command for uploading files to guest [GH-10263]
  - command/winrm: Add command for executing guest commands via WinRM [GH-10263]
  - command/winrm-config: Add command for providing WinRM configuration [GH-10263]
  IMPROVEMENTS:
  - core: Ensure file paths are identical when checking for cwd [GH-10220]
  - core: Add config option `ignore_box_vagrantfile` for ignoring vagrantfile inside box [GH-10242]
  - core/triggers: Add abort option to core triggers [GH-10232]
  - core/triggers: Introduce `ruby` option for trigger [GH-10267]
  - contrib/bash: Add completion for snapshot names for vagrant snapshot restore|delete [GH-9054]
  - providers/docker: Build docker from git repo [GH-10221]
  - providers/hyperv: Update Hyper-V admin check and allow override via ENV variable [GH-10275]
  - providers/virtualbox: Allow base_mac to be optional [GH-10255]
  - provisioners/salt: bootstrap-salt.sh: use -s with curl [GH-9432]
  - provisioners/salt: remove leading space with bootstrap_options [GH-9431]
  BUG FIXES:
  - core/environment: Provide rgloader for local plugin installations [GH-10279]
  - contrib/sudoers/osx: Fix missing comma and add remove export alias [GH-10235]
  - guest/redhat: Update restart logic in redhat change_host_name cap [GH-10223]
  - guest/windows: Allow special characters in SMB password field [GH-10219]
  - providers/hyperv: Only use AutomaticCheckpointsEnabled when available [GH-10264]
  - providers/hyperv: Only use CheckpointType when available [GH-10265]
  - provisioners/ansible: Fix remote directory creation [GH-10259, GH-10258]
  - provisioners/puppet: Properly set env variables for puppet provisioner on windows [GH-10218]
  - provisioners/salt: Properly set salt pillar variables for windows guests [GH-10215]
  - synced_folders/rsync: Ensure unique tmp dirs for ControlPath with rsync [GH-10291]
* Fri Nov 16 2018 Johannes Kastl <kastl@b1-systems.de>
- update to 2.1.5
  IMPROVEMENTS:
  - core: Add `Vagrant.version?` helper method [GH-10191]
  - core: Scrub sensitive values from logger output [GH-10200]
  - core: Prevent multiple evaluations of Vagrantfile [GH-10199]
  - command/init: Support VAGRANT_DEFAULT_TEMPLATE env var [GH-10171]
  - command/powershell: Improve doc help string and fix winrm locales error [GH-10189]
  - contrib/bash: autocomplete running VM names for destroy subcommand [GH-10168]
  - guest/debian: Use `sudo` to determine if systemd is in use for hardened systems [GH-10198]
  - guest/openbsd: Add IPv6 network template for OpenBSD machines [GH-8912]
  - provisioners/salt: Allow non-windows hosts to pass along version [GH-10194]
  BUG FIXES:
  - core: Fix Vagrant.has_plugin? behavior before plugins are initialized [GH-10165]
  - core: Check verify_host_key for falsey or :never values when generating ssh config [GH-10182]
  - guest/linux: Filter out empty strings and loopback interfaces when constructing list of network interfaces [GH-10092]
  - provider/hyper-v: Check for automatic checkpoint support before configuring [GH-10181]
* Fri Nov 16 2018 Johannes Kastl <kastl@b1-systems.de>
- update to 2.1.4
  BUG FIXES:
  - core: Fix local plugin installation prompt answer parsing [GH-10154]
  - core: Reset internal environment after plugin loading [GH-10155]
  - host/windows: Fix SMB list parsing when extra fields are included [GH-10156]
* Fri Nov 16 2018 Johannes Kastl <kastl@b1-systems.de>
- update to 2.1.3
  FEATURES:
  - core: Support for project specific plugins [GH-10037]
  IMPROVEMENTS:
  - command\/reload: Add `--force` flag to reload command [GH-10123]
  - communicator/winrm: Display warning if vagrant-winrm plugin is detected [GH-10076]
  - contrib/bash: Replace -VAGRANTSLASH  - with literal slash in completion [GH-9987]
  - core: Show installed version of Vagrant when displaying version check [GH-9968]
  - core: Retain information of original box backing active guest [GH-10083]
  - core: Only write box info if provider supports box objects [GH-10126]
  - core: Update net-ssh dependency constraint to ~> 5.0.0 [GH-10066]
  - core/triggers: Catch and allow for non-standard exit codes with triggers `run` options [GH-10005]
  - core/triggers: Allow for spaces in `path` for trigger run option [GH-10118]
  - guest/debian: Isolate network interface configuration to individual files for systemd [GH-9889]
  - guest/redhat: Use libnfs-utils package if available [GH-9878]
  - provider/docker: Support Docker volume consistency for synced folders [GH-9811]
  - provider/hyperv: Disable synced folders on non-DrvFs file systems by default [GH-10001]
  - util/downloader: Support custom suffix on user agent string [GH-9966]
  - util/downloader: Prevent false positive matches on Location header [GH-10041]
  - util/subprocess: Force system library paths for executables external to AppImage [GH-10078]
  BUG FIXES:
  - core: Disable Vagrantfile loading with plugin commands [GH-10030]
  - core: Ensure the SecureRandom library is loaded for the trigger class [GH-10063]
  - core/triggers: Allow trigger run args option to be a single string [GH-10116]
  - util/powershell: Properly `join` commands from passed in array [GH-10115]
  - guest/solaris: Add back guest detection check for Solaris derived guests [GH-10081]
  - guest/windows: Be more explicit when invoking cmd.exe with mount_volume script [GH-9976]
  - host/linux: Fix sudo usage in NFS capability when modifying exports file [GH-10084]
  - host/windows: Remove localization dependency from SMB list generation [GH-10043]
  - provider/docker: Convert windows paths for volume mounts on docker driver [GH-10100]
  - provider/hyperv: Fix checkpoint configuration and properly disable automatic checkpoints by default [GH-9999]
  - provider/hyperv: Remove localization dependency from access check [GH-10000]
  - provider/hyperv: Enable ExposeVirtualizationExtensions only when available [GH-10079]
  - provider/virtualbox: Skip link-local when fixing IPv6 route [GH-9639, GH-10077]
  - push/ftp: Custom error when attempting to push too many files [GH-9952]
  - util/downloader: Prevent errors when Location header contains relative path [GH-10017]
  - util/guest_inspection: Prevent nmcli check from hanging when pty is enabled [GH-9926]
  - util/platform: Always force string type conversion on path [GH-9998]
- removed patch 0007-Support-system-installed-plugins.patch that has been included upstream
- removed patch 0027-now-use-rubygem-net-ssh-5.0.x.patch that is no longer necessary
* Fri Nov  9 2018 Johannes Kastl <kastl@b1-systems.de>
- link directories from /usr/share/vagrant/ to /usr/lib64/ruby/gems/2.5.0/gems/x.y.z/, to avoid ruby errors due to patch 0007
* Fri Nov  9 2018 Johannes Kastl <kastl@b1-systems.de>
- add Requires and BuildRequires for bash-completion to the vagrant-bash-completion subpackage
- move bash-completion file to %%{_datadir}/bash-completion/completions/ to avoid warnings
* Fri Nov  9 2018 Johannes Kastl <kastl@b1-systems.de>
- use patch 0007-Support-system-installed-plugins.patch on tumbleweed only, as this seems to break Leap 15.0 systems
* Wed Jul 11 2018 opensuse_buildservice@ojkastl.de
- added directory /usr/share/vagrant-plugins/plugins.d to spec file
* Mon Jul  9 2018 opensuse_buildservice@ojkastl.de
- added patch 0007-Support-system-installed-plugins.patch, removed patch 0008-Read-data-from-usr-share-vagrant.patch
  patch has been ported from Debians package for 2.0.2
  https://packages.debian.org/sid/vagrant
* Sun Jul  8 2018 opensuse_buildservice@ojkastl.de
- added Reqires for exact vagrant version to subpackages vagrant-vim, vagrant-emacs and vagrant-bash-completion
* Sun Jul  8 2018 opensuse_buildservice@ojkastl.de
- removed patch 0026-remove-dependency-on-win32-file.patch
* Sun Jul  8 2018 opensuse_buildservice@ojkastl.de
- update to 2.1.2
  IMPROVEMENTS
  - commands/suspend: Introduce flag for suspending all machines [GH-9829]
  - commands/global-status: Improve message about removing stale entries [GH-9856]
  - provider/hyperv: Attempt to determine import failure cause [GH-9936]
  - provider/hyperv: Update implementation. Include support for modifications on reload [GH-9872]
  - provider/hyperv: Validate maxmemory configuration setting [GH-9932]
  - provider/hyperv: Enable provider within WSL [GH-9943]
  - provider/hyperv: Add Hyper-V accessibility check on data directory path [GH-9944]
  - provisioners/ansible_local: Improve installation from PPA on Ubuntu guests. The compatibility is maintained only for active long-term support (LTS) versions, i.e. Ubuntu 12.04 (Precise Pangolin) is no longer supported. [GH-9879]
  BUG FIXES:
  - communicator/ssh: Update ssh private key file permission handling on Windows [GH-9923, GH-9900]
  - core: Display plugin commands in help [GH-9808]
  - core: Ensure guestpath or name is set with synced_folder option and dont set guestpath if not provided [GH-9692]
  - guest/debian: Fix netplan generation when using DHCP [GH-9855]
  - guest/debain: Update priority of network configuration file when using networkd [GH-9867]
  - guest/ubuntu: Update netplan config generation to detect NetworkManager [GH-9824]
  - guest/ubuntu: Fix failing Ansible installation from PPA on Bionic Beaver (18.04 LTS) [GH-9796]
  - host/windows: Prevent processing of last SMB line when using net share [GH-9917]
  - provisioner/chef: Prevent node_name set on configuration with chef_apply [GH-9916]
  - provisioner/salt: Remove usage of masterless? config attribute [GH-9833]
* Sun Jul  1 2018 opensuse_buildservice@ojkastl.de
- added patch 0027-now-use-rubygem-net-ssh-5.0.x.patch to allow builds with latest version of net-ssh in Tumbleweed
* Mon Jun  4 2018 opensuse_buildservice@ojkastl.de
- replace shebang in /usr/lib64/ruby/gems/*/gems/vagrant-2.1.1/.runner.sh
- remove shebang in /etc/bash_completion.d/vagrant.sh
* Mon Jun  4 2018 opensuse_buildservice@ojkastl.de
- added patch 0026-remove-dependency-on-win32-file.patch
* Mon Jun  4 2018 opensuse_buildservice@ojkastl.de
- update to 2.1.1
  IMPROVEMENTS:
  - guest/linux: Support builtin vboxsf module for shared folders [GH-9800]
  - host/windows: Update SMB capability to work without Get-SmbShare cmdlet [GH-9785]
  BUG FIXES:
  - core/triggers: Initialize internal trigger object for machine before initializing provider [GH-9784]
  - core/triggers: Ensure internal trigger fire does not get called if plugin installed [GH-9799]
  - provider/hyperv: Call import script with switchid instead of switchname [GH-9781]
* Mon Jun  4 2018 opensuse_buildservice@ojkastl.de
- update to 2.1.0
  FEATURES:
  - core: Integrate vagrant-triggers plugin functionality into core Vagrant [GH-9713]
  IMPROVEMENTS:
  - core: Improve messaging around not finding requested provider [GH-9735]
  - core: Disable exception reports by default [GH-9738]
  - core: Continue on if vagrant fails to parse metadata box for update [GH-9760]
  - hosts/linux: Support RDP capability within WSL [GH-9758]
  - hosts/windows: Add SMB default mount options capability and set default version to 2.0 [GH-9734]
  - provider/hyperv: Include neighbor check for MAC on guest IP detection [GH-9737]
  - provider/virtualbox: Do not require VirtualBox availability within WSL [GH-9759]
  - provisioner/chef_zero: Support arrays for data_bags_path [GH-9669]
  - util/downloader: Don't raise error if response is HTTP 416 [GH-9729]
  - util/platform: Update Hyper-V enabled check [GH-9746]
  BUG FIXES:
  - communicators/ssh: Log error and proceed on Windows private key permissions [GH-9769]
  - middleware/authentication: Prevent URL modification when no changes are required [GH-9730]
  - middleware/authentication: Ignore URLs which cannot be parsed [GH-9739]
  - provider/hyperv: Reference switches by ID instead of name [GH-9747]
  - provider/docker: Use Util::SafeExec if docker-exec is run with -t option [GH-9761]
  - provisioner/chef: Trim drive letter from path on Windows [GH-9766]
  - provisioner/puppet: Properly finalize structured_facts config option [GH-9720]
  - util/platform: Fix original WSL to Windows path for "root" directory [GH-9696]
* Mon Jun  4 2018 opensuse_buildservice@ojkastl.de
- update to 2.0.4
  FEATURES:
  - core: Vagrant aliases [GH-9504]
  IMPROVEMENTS:
  - communicators/ssh: Update file permissions when generating new key pairs [GH-9676]
  - core: Make resolv-replace usage opt-in instead of opt-out [GH-9644]
  - core: Suppress error messages from checkpoint runs [GH-9645]
  - guests/coreos: Identify operating systems closely related to CoreOS [GH-9600]
  - guests/debian: Adjust network configuration file prefix to 50- [GH-9646]
  - guests/photon: Less specific string grep to fix PhotonOS 2.0 detection [GH-9528]
  - guests/windows: Fix slow timeout when updating windows hostname [GH-9578]
  - hosts/windows: Make powershell version detection timeout configurable [GH-9506]
  - providers/virtualbox: Improve network collision error message [GH-9685]
  - provisioner/chef_solo: Improve Windows drive letter removal hack for remote paths[GH-9490]
  - provisioner/chef_zero: File path expand all chef_zero config path options [GH-9690]
  - provisioner/puppet: Puppet structured facts toyaml on provisioner [GH-9670]
  - provisioner/salt: Add master_json_config & minion_json_config options [GH-9420]
  - util/platform: Warn on ArgumentError exceptions from encoding [GH-9506]
  BUG FIXES:
  - commands/package: Fix uninitialized constant error [GH-9654]
  - communicators/winrm: Fix command filter to properly parse commands [GH-9673]
  - hosts/windows: Properly respect the VAGRANT_PREFER_SYSTEM_BIN environment variable [GH-9503]
  - hosts/windows: Fix virtualbox shared folders path for windows guests [GH-8099]
  - guests/freebsd: Fix typo in command that manages configuring networks [GH-9705]
  - util/checkpoint_client: Respect VAGRANT_CHECKPOINT_DISABLE environment variable [GH-9659]
  - util/platform: Use --version instead of version for WSL validation [GH-9674]
- rebased patch 0024-do-not-depend-on-wdm.patch
* Mon Jun  4 2018 opensuse_buildservice@ojkastl.de
- update to version 2.0.3
  - > removed patch 0006-Relax-dependency-resolution.patch
  IMPROVEMENTS:
  - guests/solaris: More explicit Solaris 11 and inherit SmartOS from Solaris [GH-9398]
  - hosts/windows: Add support for latest WSL release [GH-9525, GH-9300]
  - plugins/login: Update middleware to re-map hosts and warn on custom server [GH-9499]
  - providers/hyper-v: Exit if Hyper-V is enabled and VirtualBox provider is used [GH-9456]
  - provisioners/salt: Change to a temporary directory before downloading script files [GH-9351]
  - sycned_folders/nfs: Default udp to false when using version 4 [GH-8828]
  - util/downloader: Notify on host redirect [GH-9344]
  BUG FIXES:
  - core: Use provider override when specifying box_version [GH-9502]
  - guests/debian: Renew DHCP lease on hostname change [GH-9405]
  - guests/debian: Point hostname to 127.0.1.1 in /etc/hosts [GH-9404]
  - guests/debian: Update systemd? check for guest inspection [GH-9459]
  - guests/debian: Use ip route in dhcp template [GH-8730]
  - guests/gentoo: Disable if/netplugd when setting up a static ip on a gentoo guest using openrc [GH-9261]
  - guests/openbsd: Atomically apply new hostname.if(5) [GH-9265]
  - hosts/windows: Fix halt problem when determining powershell version on old powershells [GH-9470]
  - hosts/windows: Convert to windows path if on WSL during vbox export [GH-9518]
  - providers/virtualbox: Fix hostonly matching not respecting :name argument [GH-9302]
  - util/credential_scrubber: Ignore empty strings [GH-9472, GH-9462]
* Mon Jun  4 2018 opensuse_buildservice@ojkastl.de
- do no longer use /usr/share/vim/current for vagrant-vim, rather use the approach used by
  package openSUSE:Leap:15.0/vim-plugins: %%{_datadir}/vim/site/plugin/
* Sun May 13 2018 opensuse_buildservice@ojkastl.de
- re-added vim_data_dir macro until there is a better way to do this
* Wed May  9 2018 opensuse_buildservice@ojkastl.de
- removed definition for vim_data_dir from spec file, to get rid of conflicts with vim80 package
* Wed May  2 2018 jengelh@inai.de
- Use noun phrase in summary.
- Substitute obsolete %%__-type macro indirections.
* Thu Mar  1 2018 opensuse_buildservice@ojkastl.de
- removed some files during %%install to avoid warnings on SLES12/Leap42.x
* Wed Feb 28 2018 opensuse_buildservice@ojkastl.de
- update to version 2.0.2
  - > removed patch 0001-Disable-Checkpoint.patch that has been upstreamed
  - > removed patch 0031-allow-builds-with-ruby2.5.patch
  FEATURES:
  - core: Provide mechanism for removing sensitive data from output [GH-9276]
  - core: Relax Ruby constraints to include 2.5 [GH-9363]
  - core: Hide sensitive values in output [GH-9369]
  - command/init: Support custom Vagrantfile templates [GH-9202]
  - guests: Add support for the Haiku operating system [GH-7805, GH-9245]
  - synced_folders/smb: Add support for macOS hosts [GH-9294]
  - vagrant-spec: Update vagrant-spec to include Windows platforms and updated linux boxes [GH-9183]
  IMPROVEMENTS:
  - config/ssh: Deprecate :paranoid in favor of :verify_host_key [GH-9341]
  - core: Add optional timestamp prefix on log output [GH-9269]
  - core: Print more helpful error message for NameEror exceptions in Vagrantfiles [GH-9252]
  - core: Update checkpoint implementation to announce updates and support notifications [GH-9380]
  - core: Use Ruby's Resolv by default [GH-9394]
  - docs: Include virtualbox 5.2.x as supported in docs [GH-9237]
  - docs: Improve how to pipe debug log on powershell [GH-9330]
  - guests/amazon: Improve guest detection [GH-9307]
  - guests/debian: Update guest configure networks [GH-9338]
  - guests/dragonflybsd: Base guest on FreeBSD to inherit more functionality [GH-9205]
  - guests/linux: Improve NFS service name detection and interactions [GH-9274]
  - guests/linux: Support mount option overrides for SMB mounts [GH-9366]
  - guests/linux: Use `ip` for reading guest address if available [GH-9315]
  - guests/solaris: Improve guest detection for alternatives [GH-9295]
  - hosts/windows: Check credentials during SMB prepare [GH-9365]
  - providers/hyper-v: Ensure Hyper-V cmdlets are fully qualified [GH-8863]
  - middleware/authentication: Add app.vagrantup.com to allowed hosts [GH-9145]
  - provisioners/shell: Support hiding environment variable values in output [GH-9367]
  - providers/virtualbox: Add a clean error message for invalid IP addresses [GH-9275]
  - providers/virtualbox: Introduce flag for SharedFoldersEnableSymlinksCreate setting [GH-9354]
  - providers/virtualbox: Provide warning for SharedFoldersEnableSymlinksCreate setting [GH-9389]
  - provisioners/salt: Fixes timeout issue in salt bootstrapping for windows [GH-8992]
  - synced_folders/smb: Update Windows implementation [GH-9294]
  - util/ssh: Attempt to locate local ssh client before attempting installer provided [GH-9400]
  BUG FIXES:
  - commands/box: Show all box providers with `update outdated --global` [GH-9347]
  - commands/destroy: Exit 0 if vagrant destroy finds no running vms [GH-9251]
  - commands/package: Fix --output path with specified folder [GH-9131]
  - guests/suse: Do not use full name when setting hostname [GH-9212]
  - providers/hyper-v: Fix enable virtualization extensions on import [GH-9255]
  - provisioners/ansible(both): Fix broken 'ask_sudo_pass' option [GH-9173]
* Wed Feb 28 2018 opensuse_buildservice@ojkastl.de
- added patch 0031-allow-builds-with-ruby2.5.patch to allow building with ruby2.5
* Wed Feb 28 2018 opensuse_buildservice@ojkastl.de
- update to version 2.0.1
  FEATURES:
    core: Introduce Ruby 2.4 to Vagrant [GH-9102]
    providers/virtualbox: Virtualbox 5.2 support [GH-8955]
  IMPROVEMENTS:
    command/destroy: Introduce parallel destroy for certain providers [GH-9127]
    communicators/winrm: Include APIPA check within ready check [GH-8997]
    core: Clear POSIXLY_CORRECT when using optparse [GH-8685]
    docs: Add auto_start_action and auto_stop_action to docs. [GH-9029]
    docs: Fix typo in box format doc [GH-9100]
    provisioners/chef: Handle chef provisioner reboot request [GH-8874]
    providers/salt: Support Windows Salt Minions greater than 2016.x.x [GH-8926]
    provisioners/salt: Add wget to bootstrap_salt options when fetching installer file [GH-9112]
    provisioners/shell: Use ui.detail for displaying output [GH-8983]
    util/downloader: Use CURL_CA_BUNDLE environment variable [GH-9135]
  BUG FIXES:
    communicators/ssh: Retry on Errno::EPIPE exceptions [GH-9065]
    core: Rescue more exceptions when checking if port is open [GH-8517]
    guests/solaris11: Inherit from Solaris guest and keep solaris11 specific methods [GH-9034]
    guests/windows: Split out cygwin path helper for msys2/cygwin paths and ensure cygpath exists [GH-8972]
    guests/windows: Specify expected shell when executing on guest (fixes winssh communicator usage) [GH-9012]
    guests/windows: Include WinSSH Communicator when using insert_public_key [GH-9105]
    hosts/windows: Check for vagrant.exe when validating versions within WSL [GH-9107, GH-8962]
    providers/docker: Isolate windows check within executor to handle running through VM [GH-8921]
    providers/hyper-v: Properly invoke Auto stop action [GH-9000]
    provisioners/puppet: Fix winssh communicator support in puppet provisioner [GH-9014]
    virtualbox/synced_folders: Allow synced folders to contain spaces in the guest path [GH-8995]
- removed patches, that have been merged upstream
  - 0010-virtualbox-5.2-support.patch
  - 0020-also-build-with-ruby2.4.patch
  - 0021-Use-Integer-instead-of-Fixnum-for-Ruby-2.4-compatibi.patch
  - 0022-Do-not-use-deprecated-API.patch
* Wed Feb 28 2018 opensuse_buildservice@ojkastl.de
- update to version 2.0.0
  IMPROVEMENTS:
    commands/login: Add support for two-factor authentication [GH-8935]
    commands/ssh-config: Properly display windows path if invoked from msys2 or cygwin [GH-8915]
    guests/alt: Add support for ALT Linux [GH-8746]
    guests/kali: Fix file permissions on guest plugin ruby files [GH-8950]
    hosts/linux: Provide common systemd detection for services interaction, fix NFS host interactions [GH-8938]
    providers/salt: Remove duplicate stdout, stderr output from salt [GH-8767]
    providers/salt: Introduce salt_call_args and salt_args option for salt provisioner [GH-8927]
    providers/virtualbox: Improving resilience of some VirtualBox commands [GH-8951]
    provisioners/ansible(both): Add the compatibility_mode option, with auto-detection enabled by default [GH-8913, GH-6570]
    provisioners/ansible: Add the version option to the host-based provisioner [GH-8913, GH-8914]
    provisioners/ansible(both): Add the become and become_user options with deprecation of sudo and sudo_user options [GH-8913, GH-6570]
    provisioners/ansible: Add the ask_become_pass option with deprecation of the ask_sudo_pass option [GH-8913, GH-6570]
  BUG FIXES:
    guests/shell_expand_guest_path : Properly expand guest paths that include relative path alias [GH-8918]
    hosts/linux: Remove duplicate export folders before writing /etc/exports [GH-8945]
    provisioners/ansible(both): Add single quotes to the inventory host variables, only when necessary [GH-8597]
    provisioners/ansible(both): Add the "all:vars" section to the inventory when defined in groups option [GH-7730]
    provisioners/ansible_local: Extra variables are no longer truncated when a dollar ($) character is present [GH-7735]
    provisioners/file: Align file provisioner functionality on all platforms [GH-8939]
    util/ssh: Properly quote key path for IdentityFile option to allow for spaces [GH-8924]
  BREAKING CHANGES:
    Both Ansible provisioners are now capable of automatically setting the compatibility_mode that best fits with the Ansible version in use. You may encounter some compatibility issues when upgrading. If you were using Ansible 2.x and referring to the _ssh-prefixed variables present in the generated inventory (e.g. ansible_ssh_host). In this case, you can fix your Vagrant setup by setting compatibility_mode = "1.8", or by migrating to the new variable names (e.g. ansible_host).
* Wed Feb 28 2018 opensuse_buildservice@ojkastl.de
- update to version 1.9.8 (August 23, 2017)
  IMPROVEMENTS:
    bash: Add box prune to contrib bash completion [GH-8806]
    commands/login: Ask for description of Vagrant Cloud token [GH-8876]
    commands/validate: Improve functionality of the validate command [GH-8889]n
    core: Updated Vagrants rspec gem to 3.5.0 [GH-8850]
    core: Validate powershell availability and version before use [GH-8839]
    core: Introduce extra_args setting for ssh configs [GH-8895]
    docs: Align contrib/sudoers file for ubuntu linux with docs [GH-8842]
    provider/hyperv: Prefer IPv4 guest address [GH-8831, GH-8759]
    provisioners/chef: Add config option omnibus_url for chef provisioners [GH-8682]
    provisioners/chef: Improve exception handling around missing folder paths [GH-8775]
  BUG FIXES:
    box/update: Add force flag for box upgrade command [GH-8871]
    commands/rsync-auto: Ensure relative dirs are still rsync'd if defined [GH-8781]
    commands/up: Disable install providers when using global id on vagrant up [GH-8910]
    communicators/winssh: Fix public key insertion to retain ACL [GH-8790]
    core: Update util/ssh to use -o for identity files [GH-8786]
    guests/freebsd: Fix regex for listing network devices on some FreeBSD boxes. [GH-8760]
    hosts/windows: Prevent control characters in version check for WSL [GH-8902, GH-8901]
    providers/docker: Split String type links into Array when using compose [GH-8837, GH-8821]
    providers/docker: Expand relative volume paths correctly [GH-8838, GH-8822]
    providers/docker: Error when compose option enabled with force_host_vm [GH-8911]
    provisioners/ansible: Update to use -o for identity files [GH-8786]
    provisioners/file: Ensure remote folder exists prior to scp file or folder [GH-8880]
    provisioners/salt: Fix error case when github is unreachable for installer [GH-8864]
    provisioners/shell: Allow frozen string scripts [GH-8875]
    provisioners/puppet: Remove --manifestdir flag from puppet apply in provisioner [GH-8797]
    synced_folders/rsync: Correctly format IPv6 host [GH-8840, GH-8809]
* Wed Feb 28 2018 opensuse_buildservice@ojkastl.de
- tried to nail down the BuildReqire dependencies where possible,
  to avoid build failures due to mismatches between BuildRequires
  and vagrant's own dependencies in vagrant.gemspec
* Tue Jan 30 2018 robert.munteanu@gmail.com
- No longer hardcode the ruby version, it was enough to lock down
  the rubygem versions
* Sat Jan 27 2018 robert.munteanu@gmail.com
- Explicitly build against ruby 2.5 for now
* Thu Oct 26 2017 tmkn@tmkn.uk
- Add 0025-do-not-abuse-relative-paths-in-docker-plugin.patch to
  make docker plugin work.
* Sun Oct 22 2017 robert.munteanu@gmail.com
- Added upstream patch 0010-virtualbox-5.2-support.patch to allow
  running with upcoming Virtualbox 5.2
* Thu Sep 28 2017 dimstar@opensuse.org
- Lock rubygem-net-ssh to 4.1 branch, matching the resulting
  dependency from vagrant.gemspec:
  + add_dependency "net-ssh", "~> 4.1.0", meaning anything from
    4.1.0 to just before 4.2 is acceptable.
* Tue Aug 29 2017 robert.munteanu@gmail.com
- Added 0024-do-not-depend-on-wdm.patch - that rubygem only works
  on windows
* Wed Aug 16 2017 robert.munteanu@gmail.com
- Rebase 0023-vbox-fix-package.patch for Vagrant 1.9.7
- Fix various 'have choice for ...' errors
* Sun Aug 13 2017 robert.munteanu@gmail.com
- add 0023-vbox-fix-package.patch ( boo#1044087 )
* Tue Jul 25 2017 opensuse_buildservice@ojkastl.de
- renamed patch 0010-also-build-with-ruby2.4.patch to
  0020-also-build-with-ruby2.4.patch
- add patches for ruby2.4 compatibility
  * added patch
    0021-Use-Integer-instead-of-Fixnum-for-Ruby-2.4-compatibi.patch
  * added patch 0022-Do-not-use-deprecated-API.patch
* Mon Jul 24 2017 opensuse_buildservice@ojkastl.de
- update to version 1.9.7
- removed patch 0005-Support-system-installed-plugins.patch that
  no longer applies
- added patch 0010-also-build-with-ruby2.4.patch that allows builds
  with ruby2.4, even if vagrant states otherwise
  (https://github.com/mitchellh/vagrant/blob/master/vagrant.gemspec#L15)
* Thu Jun 15 2017 opensuse_buildservice@ojkastl.de
- as rubygem-childprocess has been updated to 0.7 in d:l:r:e, which
  does not work with vagrant, a BuildRequires for
  rubygem-childprocess <= 0.7 has been added
* Sun May 21 2017 opensuse_buildservice@ojkastl.de
- update to version 1.9.5
- removed patch 0007-Update-command.rb.patch, that has been
  integrated upstream
- rebased patches to allow patching version 1.9.5 instead of 1.9.1
- added explicit BuildRequires for rubygems needed to get vagrant
  to build
* Tue Mar  7 2017 robert.munteanu@gmail.com
- Fix build in factory - failed due to
  "have choice for rubygem(ruby:2.2.0:nokogiri)"
* Mon Mar  6 2017 jloehel@suse.com
- Add 0009-plugins-don-t-abuse-require_relative.patch
  to fix 'vagrant fails configuring VM network' (bsc#1026449)
* Thu Feb 16 2017 robert.munteanu@gmail.com
- Fix build on openSUSE Leap 42.2
* Thu Feb 16 2017 robert.munteanu@gmail.com
- Prevent 'have choice for rubygem(ruby:2.1.0:mime-types) >= 1.16'
  for Leap 42.{1,2}
* Mon Feb 13 2017 robert.munteanu@gmail.com
- Re-add 0008-Read-data-from-usr-share-vagrant.patch as vagrant
  fails at runtime otherwise. Debian dropped it due to installing
  the package using rubygems layout, but we don't do that
* Mon Feb 13 2017 robert.munteanu@gmail.com
- sync with 1.9.1
  https://packages.debian.org/sid/main/vagrant
- Patch changelog
  + Added
  * 0001-Disable-Checkpoint.patch
  * 0002-bin-vagrant-silence-warning-about-installer.patch
  * 0003-Use-a-private-temporary-dir.patch
  * 0004-linux-cap-halt-don-t-wait-for-shutdown-h-now-to-fini.patch
  * 0005-Support-system-installed-plugins.patch
  * 0006-Relax-dependency-resolution.patch
  * 0007-Update-command.rb.patch
  + Deleted
  * 0002-Disable-Checkpoint.patch
  * 0003-VERSION-fallback-to-usr-share-vagrant-version.txt.patch
  * 0004-bin-vagrant-silence-warning-about-installer.patch
  * 0005-Read-data-from-usr-share-vagrant.patch
  * 0006-Look-up-vagrant-pre-rubygems.rb-from-the-installed-p.patch
  * 0007-Make-Bundler-also-lookup-into-rubygems-integration-p.patch
  * 0008-Use-a-private-temporary-dir.patch
  * 0009-linux-cap-halt-don-t-wait-for-shutdown-h-now-to-fini.patch
  * 0011-Relax-dependency-resolution.patch
  * 0011-Support-system-installed-plugins.patch
  * 0012-require-vagrant-version-from-system.patch
* Tue Sep  6 2016 mmanno@suse.com
- sync with 1.8.5
  https://packages.debian.org/sid/main/vagrant
* Fri Mar  4 2016 dmacvicar@suse.de
- sync with 1.8.1
  https://packages.debian.org/sid/main/vagrant
- remove
  0001-SUSE-flavored-systems-uses-STARTMODE-and-not-ONBOOT.patch
  (already upstream in 1.8.1)
* Mon Nov 23 2015 dmacvicar@suse.de
- add Provides/Obsoletes
- install manpage
* Sun Nov  8 2015 dmacvicar@suse.de
- add 0001-SUSE-flavored-systems-uses-STARTMODE-and-not-ONBOOT.patch
  to fix reboot with dhcp
* Sun Nov  8 2015 dmacvicar@suse.de
- split out vim, emacs and bash files
* Sun Nov  8 2015 dmacvicar@suse.de
- follow plugin convention from Debian package by Antonio Terceiro
  and Laurent Bigonville
- use patches from https://packages.debian.org/sid/main/vagrant
* Tue Sep  1 2015 mrueckert@suse.de
- sync BR with gemspec
- make sure we notice when the gemspec isnt working anymore
  by running bundle exec bin/vagrant --version
* Tue Sep  1 2015 mrueckert@suse.de
- 1.7.4
